\name{checkDataObject}
\alias{checkDataObject}
\title{Check a list or a \code{compData} object for compatibility with differential expression functions}
\usage{
checkDataObject(data.obj)
}
\arguments{
  \item{data.obj}{A list containing data and condition
  information, or a \code{compData} object.}
}
\description{
Check if a list or a \code{compData} object contains the
necessary slots for applying the differential expression
functions provided within the \code{compcodeR} package.
This function is provided for backward compatibility, see
also \code{\link{check_compData}} and
\code{\link{check_compData_results}}.
}
\examples{
mydata.obj <- generateSyntheticData(dataset = "mydata", n.vars = 12500,
                                    samples.per.cond = 5, n.diffexp = 1250,
                                    output.file = "mydata.rds")
checkDataObject(mydata.obj)
}
\author{
Charlotte Soneson
}

